### Method

# Ide Workbench get_build_system

#### Declaration

    IdeBuildSystem*
    ide_workbench_get_build_system (
      IdeWorkbench* self
    )

#### Description

Gets the `IdeBuildSystem` for the workbench, if any.

Available since: | 3.32

#### Return value

Returns: | `IdeBuildSystem`
| An `IdeBuildSystem` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.